function LeagueProjectAvailable(ResolutionID, iProposer, iChoice, bEnact, bPassed)
	if bPassed then
		pPlayer = Players[Game:GetActivePlayer()]
		if pPlayer:IsHuman() then 
			if GameInfo.Resolutions[ResolutionID].LeagueProjectEnabled ~= nil then 
				if GameInfo.Resolutions[ResolutionID].LeagueProjectEnabled == "LEAGUE_PROJECT_WORLD_FAIR" then
					pPlayer:DoStartEvent(GameInfoTypes.PLAYER_EVENT_ASSIGN_WORLD_FAIR)
				elseif GameInfo.Resolutions[ResolutionID].LeagueProjectEnabled == "LEAGUE_PROJECT_WORLD_GAMES" then
					pPlayer:DoStartEvent(GameInfoTypes.PLAYER_EVENT_ASSIGN_WORLD_GAMES)
				elseif GameInfo.Resolutions[ResolutionID].LeagueProjectEnabled == "LEAGUE_PROJECT_TREASURE_FLEET" then
					pPlayer:DoStartEvent(GameInfoTypes.PLAYER_EVENT_ASSIGN_TREASURE_FLEET)
				elseif GameInfo.Resolutions[ResolutionID].LeagueProjectEnabled == "LEAGUE_PROJECT_WARGAMES" then
					pPlayer:DoStartEvent(GameInfoTypes.PLAYER_EVENT_ASSIGN_WARGAMES)
				elseif GameInfo.Resolutions[ResolutionID].LeagueProjectEnabled == "LEAGUE_PROJECT_UNITED_NATIONS" then
					pPlayer:DoStartEvent(GameInfoTypes.PLAYER_EVENT_ASSIGN_UN)
				elseif GameInfo.Resolutions[ResolutionID].LeagueProjectEnabled == "LEAGUE_PROJECT_INTERNATIONAL_SPACE_STATION" then
					pPlayer:DoStartEvent(GameInfoTypes.PLAYER_EVENT_ASSIGN_ISS)
				end
			end
		end
	end
end
GameEvents.ResolutionResult.Add(LeagueProjectAvailable)

function AssignProject(PlayerID, iChoice)
	local pPlayer = Players[PlayerID]
	local eCivilizationVenice = GameInfoTypes.CIVILIZATION_VENICE

	if iChoice == GameInfoTypes.PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_1 then
		local eProcess = GameInfoTypes.PROCESS_WORLD_FAIR
		for pCity in pPlayer:Cities() do
			if (pPlayer:GetCivilizationType() == eCivilizationVenice) or (pCity:IsPuppet() == false) then
				Game.CityPushOrder( pCity, OrderTypes.ORDER_MAINTAIN, eProcess, false, false, false)
			end
		end

	elseif iChoice == GameInfoTypes.PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_1 then
		local eProcess = GameInfoTypes.PROCESS_WORLD_GAMES
		for pCity in pPlayer:Cities() do
			if (pPlayer:GetCivilizationType() == eCivilizationVenice) or (pCity:IsPuppet() == false) then
				Game.CityPushOrder( pCity, OrderTypes.ORDER_MAINTAIN, eProcess, false, false, false)
			end
		end
		
	elseif iChoice == GameInfoTypes.PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_1 then
		local eProcess = GameInfoTypes.PROCESS_TREASURE_FLEET
		for pCity in pPlayer:Cities() do
			if (pPlayer:GetCivilizationType() == eCivilizationVenice) or (pCity:IsPuppet() == false) then
				Game.CityPushOrder( pCity, OrderTypes.ORDER_MAINTAIN, eProcess, false, false, false)
			end
		end
	
	elseif iChoice == GameInfoTypes.PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_1 then
		local eProcess = GameInfoTypes.PROCESS_WARGAMES
		for pCity in pPlayer:Cities() do
			if (pPlayer:GetCivilizationType() == eCivilizationVenice) or (pCity:IsPuppet() == false) then
				Game.CityPushOrder( pCity, OrderTypes.ORDER_MAINTAIN, eProcess, false, false, false)
			end
		end

	elseif iChoice == GameInfoTypes.PLAYER_EVENT_ASSIGN_UN_CHOICE_1 then
		local eProcess = GameInfoTypes.PROCESS_UNITED_NATIONS
		for pCity in pPlayer:Cities() do
			if (pPlayer:GetCivilizationType() == eCivilizationVenice) or (pCity:IsPuppet() == false) then
				Game.CityPushOrder( pCity, OrderTypes.ORDER_MAINTAIN, eProcess, false, false, false)
			end
		end

	elseif iChoice == GameInfoTypes.PLAYER_EVENT_ASSIGN_ISS_CHOICE_1 then
		local eProcess = GameInfoTypes.PROCESS_INTERNATIONAL_SPACE_STATION
		for pCity in pPlayer:Cities() do
			if (pPlayer:GetCivilizationType() == eCivilizationVenice) or (pCity:IsPuppet() == false) then
				Game.CityPushOrder( pCity, OrderTypes.ORDER_MAINTAIN, eProcess, false, false, false)
			end
		end
	end
end
GameEvents.EventChoiceActivated.Add(AssignProject)

